"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parsePackage(line, _options) {
    const mc = /^\s*package\s+([^\s]+);$/.exec(line.trim());
    if (!mc || mc.length === 0) {
        return {
            hit: false,
            mc: null
        };
    }
    return {
        hit: true,
        mc: mc[1]
    };
}
exports.parsePackage = parsePackage;
