import { CMDOptions } from '../interfaces';
import { IHit, ServiceEntity } from '../interfaces';
/**
 * service ItemProviderService {
     RangeResponse    RangeItem            (1: RangeRequest req)  #总是按时间倒序
     // 根据时间来请求item信息
     ItemListResponse ItemListByCreateTime (1: RangeRequest req)  #总是按时间倒序
     // 根据ID来请求详情
     ItemListResponse ItemListByID         (1: ItemIDListRequest req)  #按照ID
   }
 *
 * @export
 * @param {string[]} codeLines
 */
export declare function parseService(codeLines: string[], _options?: Partial<CMDOptions>): ServiceEntity;
export declare function parseServiceInterface(interfaces: ServiceEntity['interfaces'], code: string): void;
export declare function isServiceBlockStart(code: string): IHit;
