"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const trapImportFile = /^\s*import\ +(['"])([^\s]+)\1\s*;/;
/**
 * 拿到 include 的包
 *
 * @export
 * @param {string} line
 * @returns {IHit}
 */
function parseImport(line, _options) {
    const mc = trapImportFile.exec(line.trim());
    if (!mc || !mc.length) {
        return { mc: null, hit: false };
    }
    return { mc: mc[2], hit: true };
}
exports.parseImport = parseImport;
