"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 获取 namespace
 *
 * @export
 * @param {string} line
 * @returns {IHit}
 */
function parseNamespace(line, _options) {
    const mc = /^namespace\ +[^\s]+\ +(.+)$/.exec(line.trim());
    if (!mc || mc.length === 0) {
        return {
            hit: false,
            mc: null
        };
    }
    return {
        hit: true,
        mc: mc[1]
    };
}
exports.parseNamespace = parseNamespace;
