"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseTypedef(code, _options) {
    if (isTypeDef(code)) {
        return {
            type: RegExp.$1,
            alias: RegExp.$2
        };
    }
    return null;
}
exports.parseTypedef = parseTypedef;
function isTypeDef(code) {
    return /^typedef\s([\w\d_>.<]+)\s([\w\d_]+)/.test(code);
}
